//
//  myString.h
//  X-BASIC'
//
//  Created by AIG-Soft(iMac) on 2013/01/31.
//  Copyright (c) 2013年 AIG-Soft. All rights reserved.
//

#import "XBdefines.h"

#ifndef X_BASIC_for_iOS_myString_h
#define X_BASIC_for_iOS_myString_h

void 	*mmemcpy( void *vdes,void *vsrc,size_t size);
void 	*mmemcpyW(void *vdes,void *vsrc,size_t size);
void 	*mmemcpyL(void *vdes,void *vsrc,size_t size);

void 	*copyLongBetweenPointer(void *dl,void *sl);
void 	*copyDOUBLE_LONGBetweenPointer(DOUBLE_LONG *ddl,DOUBLE_LONG *sdl);
void 	*storeLongToPointer(void *dl,SLong sl);
void 	*storeVoidPointerToPointer(void *p1,void *p2);
void 	*storeDoubleToDOUBLE_LONGPointer(DOUBLE_LONG *ddl,double sd);
void 	*storeDoubleToDoublePointer(double *ddes,double d);
double 	readDoubleFromDOUBE_LONGPointer(DOUBLE_LONG *sdl);
double 	readDoubleFromDoublePointer(double *dsrc);

void	*storeLong(void *adrs,ULong data);
ULong 	readLong(void *adrs);
double 	readDouble(void *adrs);
void 	readDOUBLE_LONG(DOUBLE_LONG *dl,void *adrs);

#endif
